## org.apache.commons.collections.list
Class FixedSizeList

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.list.AbstractListDecorator
              org.apache.commons.collections.list.AbstractSerializableListDecorator
                  org.apache.commons.collections.list.FixedSizeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List, BoundedCollection

    public class FixedSizeList

extends AbstractSerializableListDecorator
implements BoundedCollection

Decorates another `List` to fix the size preventing add/remove.

The add, remove, clear and retain operations are unsupported. The set method is allowed (as it doesn't change the list size).

This class is Serializable from Commons Collections 3.1.

Since:
  Commons Collections 3.0
Version:
  $Revision: 646777 $ $Date: 2008-04-10 13:33:15 +0100 (Thu, 10 Apr 2008) $
Author:
  Stephen Colebourne, Paul Jack
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `FixedSizeList(java.util.List list)` Constructor that wraps (not copies).

Method Summary
`void` `add(int index, java.lang.Object object)`
`boolean` `add(java.lang.Object object)`
`boolean` `addAll(java.util.Collection coll)`
`boolean` `addAll(int index, java.util.Collection coll)`
`void` `clear()`
`static java.util.List` `decorate(java.util.List list)` Factory method to create a fixed size list.
`java.lang.Object` `get(int index)`
`int` `indexOf(java.lang.Object object)`
`boolean` `isFull()` Returns true if this collection is full and no new elements can be added.
`java.util.Iterator` `iterator()`
`int` `lastIndexOf(java.lang.Object object)`
`java.util.ListIterator` `listIterator()`
`java.util.ListIterator` `listIterator(int index)`
`int` `maxSize()` Gets the maximum size of the collection (the bound).
`java.lang.Object` `remove(int index)`
`boolean` `remove(java.lang.Object object)`
`boolean` `removeAll(java.util.Collection coll)`
`boolean` `retainAll(java.util.Collection coll)`
`java.lang.Object` `set(int index, java.lang.Object object)`
`java.util.List` `subList(int fromIndex, int toIndex)`

Methods inherited from class org.apache.commons.collections.list.AbstractListDecorator
`getList`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`contains, containsAll, equals, getCollection, hashCode, isEmpty, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Methods inherited from interface java.util.List
`contains, containsAll, equals, hashCode, isEmpty, size, toArray, toArray`

Constructor Detail

### FixedSizeList

    protected FixedSizeList(java.util.List list)

  Constructor that wraps (not copies).

  Parameters:
    `list` - the list to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if list is null

Method Detail

### decorate

    public static java.util.List decorate(java.util.List list)

  Factory method to create a fixed size list.

  Parameters:
    `list` - the list to decorate, must not be null
  Throws:
    `java.lang.IllegalArgumentException` - if list is null

### add

    public boolean add(java.lang.Object object)

  Specified by:
    `add` in interface `java.util.Collection`
  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `AbstractCollectionDecorator`

### add

    public void add(int index,
                    java.lang.Object object)

  Specified by:
    `add` in interface `java.util.List`
  Overrides:
    `add` in class `AbstractListDecorator`

### addAll

    public boolean addAll(java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.Collection`
  Specified by:
    `addAll` in interface `java.util.List`
  Overrides:
    `addAll` in class `AbstractCollectionDecorator`

### addAll

    public boolean addAll(int index,
                          java.util.Collection coll)

  Specified by:
    `addAll` in interface `java.util.List`
  Overrides:
    `addAll` in class `AbstractListDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Specified by:
    `clear` in interface `java.util.List`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Overrides:
    `get` in class `AbstractListDecorator`

### indexOf

    public int indexOf(java.lang.Object object)

  Specified by:
    `indexOf` in interface `java.util.List`
  Overrides:
    `indexOf` in class `AbstractListDecorator`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.List`
  Overrides:
    `iterator` in class `AbstractCollectionDecorator`

### lastIndexOf

    public int lastIndexOf(java.lang.Object object)

  Specified by:
    `lastIndexOf` in interface `java.util.List`
  Overrides:
    `lastIndexOf` in class `AbstractListDecorator`

### listIterator

    public java.util.ListIterator listIterator()

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `AbstractListDecorator`

### listIterator

    public java.util.ListIterator listIterator(int index)

  Specified by:
    `listIterator` in interface `java.util.List`
  Overrides:
    `listIterator` in class `AbstractListDecorator`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `AbstractListDecorator`

### remove

    public boolean remove(java.lang.Object object)

  Specified by:
    `remove` in interface `java.util.Collection`
  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `AbstractCollectionDecorator`

### removeAll

    public boolean removeAll(java.util.Collection coll)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Specified by:
    `removeAll` in interface `java.util.List`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(java.util.Collection coll)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Specified by:
    `retainAll` in interface `java.util.List`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### set

    public java.lang.Object set(int index,
                                java.lang.Object object)

  Specified by:
    `set` in interface `java.util.List`
  Overrides:
    `set` in class `AbstractListDecorator`

### subList

    public java.util.List subList(int fromIndex,
                                  int toIndex)

  Specified by:
    `subList` in interface `java.util.List`
  Overrides:
    `subList` in class `AbstractListDecorator`

### isFull

    public boolean isFull()

  Description copied from interface: `BoundedCollection`
  Returns true if this collection is full and no new elements can be added.

  Specified by:
    `isFull` in interface `BoundedCollection`
  Returns:
    `true` if the collection is full

### maxSize

    public int maxSize()

  Description copied from interface: `BoundedCollection`
  Gets the maximum size of the collection (the bound).

  Specified by:
    `maxSize` in interface `BoundedCollection`
  Returns:
    the maximum number of elements the collection can hold

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.